Bug 194613 (CVE-2006-0903) - CVE-2006-0903 Mysql log file obfuscation
Summary: CVE-2006-0903 Mysql log file obfuscation
Status: CLOSED WONTFIX
Alias: CVE-2006-0903
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: source=secunia,reported=20060227,impa...
Keywords: Security
Depends On: 183260 183261 188213
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-14 12:34 UTC by Josh Bressers
Modified: 2019-06-08 12:18 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-16 01:25:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0364 normal SHIPPED_LIVE Low: mysql security and bug fix update 2008-05-20 12:44:41 UTC

Description Josh Bressers 2006-06-14 12:34:39 UTC
+++ This bug was initially created as a clone of Bug #183260 +++

Mysql log file obfuscation

http://secunia.com/advisories/19034

The following text is from tgl:

Yeah, problem confirmed locally: the query log message is truncated,

060227 11:15:47       6 Connect     root@localhost on test
6 Query       /* x */ select 2+2
6 Quit
060227 11:16:24       7 Connect     root@localhost on test
7 Query       /*
7 Quit

The report is perhaps deliberately obscure: you can *not* exploit this
through mysql_query() because it expects a null-terminated string
anyway.  But you can exploit it through mysql_real_query() which takes
a pointer and count.

I'd class the severity as pretty low, since all it allows is hiding
some traces of an attack after the attacker has already broken into
the database.  But since MySQL make a point of how mysql_real_query()
supports embedded nulls in the query string, it's certainly a bug.


This issue also affects RHEL2.1

See the parent for more information.  This bug is a clone to track this issue
for RHEL2 and RHEL3.

Comment 1 Tom Lane 2010-11-16 01:25:49 UTC
Marking as WONTFIX since RHEL2.1 and RHEL3 are EOL.


Note You need to log in before you can comment on or make changes to this bug.